Subject: Re: [PATCH]NET: Add ECN support for TSO

From: David Miller <[email-masked]>
Date: Fri, 07 Jul 2006 15:52:00 -0700 (PDT)

From: David Miller <[email-masked]>
Date: Fri, 07 Jul 2006 14:59:32 -0700 (PDT)

> From: "Michael Chan" <[email-masked]>
> Date: Fri, 7 Jul 2006 13:57:11 -0700
> 
> > RFC3540 is still experimental I believe and it is not implemented
> > in the Linux stack.  Even if it is implemented and the NS bit is set,
> > I think the TSO logic can simply replicate the NS bit as each TSO
> > divided segment contains the same acknowledgement information from
> > the original super segment.
> > 
> > We should hear Herbert, David, or others' opinions on this.
> 
> I'm studying the RFC right now just to make sure your assesment is
> accurate.  It probably is :)

Ok, this is correct.  TSO should simply replicate the NS bit
because the cumulative ACK is going to be the same in each
and every packet emitted.